glab(1)

NAME
glab-milestone-edit - Edit a milestone in a project or group.

SYNOPSIS
glab milestone edit [flags]

DESCRIPTION
Edit a milestone, identified by its numeric ID, in a project or group. Use the flags to update the title, description, due date, start date, or state. Only the fields you specify are updated.

By default, the milestone is edited in the current project. Use --project to target a different project, or --group to edit a group-level milestone. --project and --group are mutually exclusive.

OPTIONS
--description=""
    Description of the milestone.

--due-date=""
    Due date for the milestone. Expected in ISO 8601 format (2025-04-15T08:00:00Z).

--group=""
    The ID or URL-encoded path of the group.

--project=""
    The ID or URL-encoded path of the project.

--start-date=""
    Start date for the milestone. Expected in ISO 8601 format (2025-04-15T08:00:00Z).

--state=""
    State of the milestone. Can be 'activate' or 'close'.

--title=""
    Title of the milestone.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Update a milestone's title and due date in the current project
    glab milestone edit 123 --title='Example title' --due-date='2025-12-16'
    # Update a milestone in a different project
    glab milestone edit 123 --title='Q4 release' --due-date='2025-12-16' --project owner/project
    # Update a group milestone
    glab milestone edit 123 --title='FY26 planning' --due-date='2026-01-31' --group 789

SEE ALSO
glab-milestone(1)